Show task
Retrieve a specific task by ID
GET
/
admin
/
api
/
v1
/
projects
/
tasks
/
{id}
Show task
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/projects/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/projects/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"title": "Frontend Development",
"description": "<p>Implement the new UI using modern frameworks (e.g., React, Vue).</p>",
"color": null,
"priority": false,
"state": "in_progress",
"sort": 1,
"is_active": true,
"is_recurring": false,
"deadline": "2026-09-24T00:00:00.000000Z",
"working_hours_open": 0,
"working_hours_close": 0,
"allocated_hours": 150,
"remaining_hours": 0,
"effective_hours": 0,
"total_hours_spent": 0,
"subtask_effective_hours": 0,
"overtime": 0,
"progress": 0,
"stage_id": 1,
"project_id": 4,
"partner_id": 39,
"parent_id": null,
"company_id": null,
"creator_id": 1,
"created_at": "2025-09-23T12:55:10.000000Z",
"updated_at": "2025-09-23T12:55:10.000000Z",
"deleted_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
Show task
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/projects/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/projects/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"title": "Frontend Development",
"description": "<p>Implement the new UI using modern frameworks (e.g., React, Vue).</p>",
"color": null,
"priority": false,
"state": "in_progress",
"sort": 1,
"is_active": true,
"is_recurring": false,
"deadline": "2026-09-24T00:00:00.000000Z",
"working_hours_open": 0,
"working_hours_close": 0,
"allocated_hours": 150,
"remaining_hours": 0,
"effective_hours": 0,
"total_hours_spent": 0,
"subtask_effective_hours": 0,
"overtime": 0,
"progress": 0,
"stage_id": 1,
"project_id": 4,
"partner_id": 39,
"parent_id": null,
"company_id": null,
"creator_id": 1,
"created_at": "2025-09-23T12:55:10.000000Z",
"updated_at": "2025-09-23T12:55:10.000000Z",
"deleted_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}